Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class InputSequenceInt

    java.lang.Object
      calhoun.analysis.crf.io.InputSequenceInt

All Implemented Interfaces:
  InputSequence<java.lang.Integer>

    public class InputSequenceInt

extends java.lang.Object
implements InputSequence<java.lang.Integer>

an input sequence where the elements of the sequence are integer values.

Constructor Summary
`InputSequenceInt()` default constructor
`InputSequenceInt(int[] a)` creates an input sequence using data from this int array

Method Summary
`InputSequence<?>` | `getComponent(java.lang.String name)` For input sequences that are a composite of several different input objects, returns a particular component of the input.
`int[]` | `getData()` gets the int array containing the data for this sequence.
`java.lang.Integer` | `getX(int ix)` retrieves the input value at a position in the input sequence.
`int` | `length()` Returns the length of this sequence
`java.util.Collection<java.lang.String>` | `listComponents()` For input sequences that are a composite of several different input objects, returns a list of the names of the components in this input sequence.
`InputSequence<java.lang.Integer>` | `subSequence(int start, int end)` tTakes a subinterval of the input sequence with given start-end coordinates which are relative coordinates, 1-based, and inclusive.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSequenceInt

    public InputSequenceInt()

  default constructor

### InputSequenceInt

    public InputSequenceInt(int[] a)

  creates an input sequence using data from this int array

  Parameters:
    `a` - an int array containing the input sequence

Method Detail

### getData

    public int[] getData()

  gets the int array containing the data for this sequence.

  Returns:
    the int array containing the data for this sequence

### getX

    public java.lang.Integer getX(int ix)

  Description copied from interface: `InputSequence`
  retrieves the input value at a position in the input sequence.

  Specified by:
    `getX` in interface `InputSequence<java.lang.Integer>`
  Parameters:
    `ix` - the index position at which to get the input. This is a zero-based index.
  Returns:
    the object at this position in the input.

### length

    public int length()

  Description copied from interface: `InputSequence`
  Returns the length of this sequence

  Specified by:
    `length` in interface `InputSequence<java.lang.Integer>`
  Returns:
    length

### getComponent

    public InputSequence<?> getComponent(java.lang.String name)

  Description copied from interface: `InputSequence`
  For input sequences that are a composite of several different input objects, returns a particular component of the input. For simple input sequences that just return an object, this method should throw `UnsupportedOperationException`.

  Specified by:
    `getComponent` in interface `InputSequence<java.lang.Integer>`
  Parameters:
    `name` - the name of the input component to return
  Returns:
    the input sequence representing this component

### listComponents

    public java.util.Collection<java.lang.String> listComponents()

  Description copied from interface: `InputSequence`
  For input sequences that are a composite of several different input objects, returns a list of the names of the components in this input sequence. For simple input sequences that just return an object, this method should throw UnsupportedOperationException.

  Specified by:
    `listComponents` in interface `InputSequence<java.lang.Integer>`
  Returns:
    a collection containing the component names

### subSequence

    public InputSequence<java.lang.Integer> subSequence(int start,
                                                        int end)

  Description copied from interface: `InputSequence`
  tTakes a subinterval of the input sequence with given start-end coordinates which are relative coordinates, 1-based, and inclusive. Thus 1-10 will mean returning a new InputSequence which is the first 10 positions of the current one.

  An implementation that does not support subsetting should throw an `UnsupportedOperationException`

  Specified by:
    `subSequence` in interface `InputSequence<java.lang.Integer>`
  Parameters:
    `start` - the 1-based index of the first position of the input to retrieve.
    `end` - the 1-based index of the last position of the input to retrieve.
  Returns:
    an input sequence which is a sbusequence of the original sequence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD